<ng-container *transloco="let t">
  <div class="d-flex flex-column gap-2">
    <mat-form-field class="w-100" appearance="outline">
      <mat-label>{{ t(labelComment) }}</mat-label>
      <textarea [formControl]="comment" matInput [maxLength]="250" #commentElem></textarea>
      <mat-hint>{{ commentElem.value.length + "/ 250" }}</mat-hint>
    </mat-form-field>

    <div class="d-flex justify-content-start">
      <button [disabled]="comment.value === ''" mat-flat-button color="accent" (click)="onPostComment()">{{ t(buttonComment) }}</button>
    </div>

    <div class="pt-2" *ngIf="comments && comments.length === 0">
      <h5>{{ t(emptyComment) }}</h5>
    </div>

    <div class="pt-2" *ngIf="comments && comments.length > 0">
      <div *ngFor="let comment of comments">
        <div class="fw-bold fieldTitle">{{comment.content}}</div>
        <div class="text-secondary fieldContent">
          {{ t(commentAuthor, {
          author: comment.author,
          datePost: (comment.creationTimestamp ? (comment.creationTimestamp | date: 'MMMM d, y') : (today | date: 'MMMM d, y')),
          hours: (comment.creationTimestamp ? (comment.creationTimestamp | date: 'shortTime') : (today | date: 'shortTime'))
        }) }}
        </div>
      </div>
    </div>
  </div>
</ng-container>

